#include <iostream>
#include <fstream>
using namespace std;

#define TRUE 	1
#define FALSE 	0

int Args[10] = {0,0,0,0,0,0,0,0,0,0}; // mac dinh cua buffers
//------------------------------------------------------------------
int ReadFile(char * FileName,int nVars=0,int *intArray=Args)
// doc nVars kieu int tu file FileName tren dia
// nVars : number of vars should be read
// inArray: Array of int contains vars
{
	// open source file
  	ifstream Src;
	Src.open(FileName);    
	if (!Src.is_open())
	{	cout << endl << "[ReadFile] Error open file " << FileName << endl;	
		return FALSE;
	}
	// read file
	for(int i=0;i<nVars;i++)
		Src >> intArray[i];
	Src.close();
	return TRUE;
}
//------------------------------------------------------------------
int WriteFile(char *FileName,int nVars=0,int * intArray=Args)
// Ghi inArray[] vao file *FileName.
// nVars = number of vars
{
	// open output file
	ofstream Dest;
	Dest.open(FileName,ifstream::out|ifstream::trunc);
	if (!Dest.is_open())
	{	cout << endl << "[WriteFile] Error open file " << FileName << endl;	
		return FALSE;
	}
	// write file
	for(int i=0;i<nVars;i++)
		Dest << intArray[i] << endl;
	Dest.close();
	return TRUE;
}
//------------------------------------------------------------------
int main()
{
	int nVars = 5; 		// so bien doc/ghi file
	int ivars[nVars];	// vung nho chua cac bien de doc/ghi file
	
	// 1. doc cac bien tu file inputs.txt, bo vao ivars[]:
	char Fn1[] = "d:\\cpp-prog\\inputs.txt";
	cout << endl << "1. Doc "<< nVars << " bien kieu (int) tu file "<< Fn1;
	if (!ReadFile(Fn1,nVars,ivars)) return FALSE;
	
	// hien thi cac bien da doc len man hinh de xem:
	for (int i =0; i<nVars; i++ )
		cout << endl << "ivars["<< i <<"]= "<<ivars[i];
		
	// 2. ghi ivars[] vao file outputs.txt
	char Fn2[] = "d:\\cpp-prog\\outputs.txt";
	cout << endl << "2. Ghi "<<nVars << " bien kieu (int) vao file "<< Fn2;
	if (!WriteFile(Fn2,nVars,ivars)) return FALSE;
	
	return TRUE;
}

